import java.net.MalformedURLException;
import java.net.URL;


public class Esempio4 {

	public static void main(String[] args) {
		// http
		testProtocol("http://www.adc.org");
		// https
		testProtocol("https://www.amazon.com/exec/obidos/order2/");
		// ftp
		testProtocol("ftp://metalab.unc.edu/pub/languages/java/javafaq/");
		// smtp
		testProtocol("mailto:elharo@metalab.unc.edu");
		// telnet
		testProtocol("telnet://dibner.poly.edu/");
		// local file access
		testProtocol("file:///etc/passwd");
		// gopher
		testProtocol("gopher://gopher.anc.org.za/");
		// Lightweight Directory Access Protocol
		testProtocol(
				"ldap://ldap.itd.umich.edu/o=University%20of%20Michigan,c=US?postalAddress");
		// JAR
		testProtocol(
				"jar:http://cafeaulait.org/books/javaio/ioexamples/javaio.jar!"
						+"/com/macfaq/io/StreamCopier.class");
		// NFS
		testProtocol("nfs://utopia.poly.edu/usr/tmp/");
		// jdbc
		testProtocol("jdbc:mysql://luna.metalab.unc.edu:3306/NEWS");
		// rmi
		testProtocol("rmi://metalab.unc.edu/RenderEngine");
		// 
		testProtocol("doc:/UsersGuide/release.html");
		testProtocol("netdoc:/UsersGuide/release.html");
		testProtocol("systemresource://www.adc.org/+/index.html");
		testProtocol("verbatim:http://www.adc.org/");
	}
	private static void testProtocol(String url) {
		try {
			URL u = new URL(url);
			System.out.println(u.getProtocol( ) + " supportato");
		}
		catch (MalformedURLException ex) {
			String protocol = url.substring(0, url.indexOf(':'));
			System.out.println(protocol + " non supportato");
		}
	}
}
